#! /bin/csh

###################################################################
# WS1.csh script file
# generate and display plots for an event and range of stations
# using DMC web services
# Original script by JD West, 6/24/2011
###################################################################
# variables to be set per run follow:

# Stations to use
set StationFile = "Stations.txt"

# Channel to plot
set Channel = "BHZ"

# start time and duration
set StartTime = "2011-04-12T23:50:00"
set Duration = "200"

# root URL
set Root = 'http://www.iris.edu/ws/timeseries/query?net=AK&loc=--&sta='

##################################################################

# step through station list getting plots
set URL = ""
foreach Line ("`cat $StationFile`")

	# get the station
	set ST = `echo $Line | awk '{print $1}'`

	# create the URL
	set URL = `echo "$Root"$ST'&cha='$Channel'&start='$StartTime'&dur='$Duration'&bp=.05-2.0&output=plot&width=1500&height=250&antialias=true'`

	# show the URL
	echo "$URL"

	# get the output file
	wget "$URL" -O /home/jdw/Desktop/TestPlot

	# display the output file
	eog /home/jdw/Desktop/TestPlot

end

echo done!

